textures/4_kmo/kmo_sky
{
	qer_editorimage textures/4_kmo/sky12_up.jpg
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_surfacelight 500
	skyparms textures/4_kmo/sky12 - -
}


textures/4_kmo/kmo_icy
{
	qer_editorimage textures/4_kmo/kmo_tint.jpg
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm nolightmap
	q3map_surfacelight 100
	{
		map textures/4_kmo/kmo_plat2.jpg
	}
	{
		map textures/4_kmo/kmo_tint.jpg
		tcmod scale .5 .5
		tcgen environment
		blendFunc add
		rgbGen vertex
	}
}

textures/4_kmo/icy_wall_1
{
	q3map_lightImage "textures/4_kmo/kmo_wall1.jpg"
	qer_editorImage "textures/4_kmo/kmo_wall1.jpg"
	surfaceParm noDamage
	surfaceParm slick
	{
        map "textures/4_kmo/kmo_wall1.jpg"
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/4_kmo/icy_wall_2
{
	q3map_lightImage "textures/4_kmo/kmo_wall2.jpg"
	qer_editorImage "textures/4_kmo/kmo_wall2.jpg"
	surfaceParm noDamage
	surfaceParm slick
	{
        map "textures/4_kmo/kmo_wall2.jpg"
    }
    {
        map $lightmap
        blendfunc filter
    }
}


textures/4_kmo/bialy
{
    qer_editorimage textures/4_kmo/bialy.jpg
    qer_trans 0.5
    q3map_surfacelight 200
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    {
        map textures/4_kmo/bialy.jpg
        alphaFunc GE128
        alphaGen const 0
    }
}

textures/4_kmo/gold
{
        surfaceparm nodamage
        surfaceparm nomarks
        qer_editorimage textures/4_kmo/gold1.tga
        {
            map textures/4_kmo/goldtint.tga
            tcGen environment
        }
        {
            map textures/4_kmo/gold1.tga
            blendFunc GL_ONE GL_ONE
            tcMod scale 8 8
            rgbGen identity
        }
        {
            map $lightmap
            rgbgen identity
            blendFunc GL_DST_COLOR GL_ZERO
        }
}

textures/4_kmo/kmo_water
{
	qer_trans .5
	q3map_globaltexture
	q3map_surfacelight 200
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5	
	{ 
		map textures/4_kmo/kmo_water.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{ 
		map textures/4_kmo/kmo_water.jpg
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}