
//////////////////////////////////////
//////  Icy & Non-icy surfaces  //////
//////////////////////////////////////

textures/makijumps/icefloor
{
    qer_editorImage textures/makijumps/icyfloor.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/makijumps/icyfloor.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/makijumps/icy_normal-01
{
	qer_editorimage "textures/makijumps/icy_normal-01.tga"
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/makijumps/icy_normal-01.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/makijumps/icy_normal-02
{
	qer_editorimage "textures/makijumps/icy_normal-02.jpg"
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/makijumps/icy_normal-02.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/makijumps/icy_nonsolid-01
{
	qer_editorimage "textures/makijumps/icy_nonsolid-01.tga"
	surfaceparm nonsolid
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/makijumps/icy_nonsolid-01.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/makijumps/icy_nonsolid-02
{
	qer_editorimage "textures/makijumps/icy_nonsolid-02.jpg"
     surfaceparm nonsolid
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/makijumps/icy_nonsolid-02.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/makijumps/icy_walljump-01
{
	qer_editorimage "textures/makijumps/icy_walljump-01.tga"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/makijumps/icy_walljump-01.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/makijumps/icy_walljump-02
{
	qer_editorimage "textures/makijumps/icy_walljump-02.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/makijumps/icy_walljump-02.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

//////////////////////////////////////
////////////  Structural /////////////
//////////////////////////////////////

///// Bricks /////

textures/makijumps/brick_1
{
	qer_editorimage "textures/makijumps/brick_1.jpg"
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/makijumps/brick_1.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/makijumps/brick_2
{
	qer_editorimage "textures/makijumps/brick_2.jpg"
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/makijumps/brick_2.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/makijumps/brick_3
{
	qer_editorimage "textures/makijumps/brick_3.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/makijumps/brick_3.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/makijumps/brick_3_sl
{
	qer_editorimage "textures/makijumps/brick_3.jpg"
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/makijumps/brick_3.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/makijumps/brick_4
{
	qer_editorimage "textures/makijumps/brick_4.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/makijumps/brick_4.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/makijumps/brick_5
{
	qer_editorimage "textures/makijumps/brick_5.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/makijumps/brick_5.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/makijumps/brick_6
{
	qer_editorimage "textures/makijumps/brick_6.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/makijumps/brick_6.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/makijumps/brick_7
{
	qer_editorimage "textures/makijumps/brick_7.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/makijumps/brick_7.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/makijumps/brick_trim
{
	qer_editorimage "textures/makijumps/brick_trim.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/makijumps/brick_trim.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

///// Rocks /////

textures/makijumps/rock_1
{
	qer_editorimage "textures/makijumps/rock_1.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/makijumps/rock_1.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/makijumps/rock_2
{
	qer_editorimage "textures/makijumps/rock_2.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/makijumps/rock_2.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/makijumps/rock_3
{
	qer_editorimage "textures/makijumps/rock_3.jpg"
	//surfaceparm slick
	{
		map "textures/makijumps/rock_3.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/makijumps/rock_3_hl
{
	qer_editorimage "textures/makijumps/rock_3.jpg"
	qer_trans 0.5
	surfaceparm detail
	surfaceparm nonsolid
	{
		map $lightmap
	}
	{
		map "textures/makijumps/rock_3.jpg"
		blendFunc filter
	}
}

textures/makijumps/rock_4
{
	qer_editorimage "textures/makijumps/rock_4.jpg"
	surfaceparm slick
	{
		map "textures/makijumps/rock_4.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/makijumps/rock_4_hl_icy
{
	qer_editorimage "textures/makijumps/rock_4.jpg"
	qer_trans 0.5
	surfaceparm detail
	surfaceparm nonsolid
	{
		map $lightmap
	}
	{
		map "textures/makijumps/rock_4.jpg"
		blendFunc filter
	}
}

textures/makijumps/rock_5
{
	qer_editorimage "textures/makijumps/rock_5.jpg"
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/makijumps/rock_5.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/makijumps/rock_6
{
	qer_editorimage "textures/makijumps/rock_6.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/makijumps/rock_6.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/makijumps/rock_vine
{
	qer_editorimage textures/makijumps/rock_vine.tga
	
     //surfaceparm nonsolid
	surfaceparm nodamage
	surfaceparm slick
	q3map_nonplanar
	q3map_shadeAngle 75
	
	{
		// Primary
		map textures/makijumps/rock_4.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/makijumps/rock_vine.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

///// soil /////

textures/makijumps/soil_1
{
	qer_editorimage "textures/makijumps/soil_1.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/makijumps/soil_1.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/makijumps/soil_2
{
	qer_editorimage "textures/makijumps/soil_2.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/makijumps/soil_2.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}
textures/makijumps/soil_3
{
	qer_editorimage "textures/makijumps/soil_3.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/makijumps/soil_3.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}
textures/makijumps/soil_4
{
	qer_editorimage "textures/makijumps/soil_4.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/makijumps/soil_4.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

///// Marble /////

textures/makijumps/marble_1
{
	qer_editorimage textures/makijumps/marble_1.tga
	surfaceparm nodamage
	surfaceparm slick
	{
		map textures/makijumps/tintx.tga
		tcGen environment
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
	}
	{
		map textures/makijumps/marble_1.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/makijumps/marble_2
{
	qer_editorimage "textures/makijumps/marble_2.jpg"
     //surfaceparm nonsolid
	surfaceparm nodamage
	//surfaceparm slick

	{
		map "textures/makijumps/marble_2.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	{
		map "textures/makijumps/tintx.tga"
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}

}

textures/makijumps/marble_stairs
{
	qer_editorimage "textures/makijumps/marble_stairs.jpg"
     //surfaceparm nonsolid
	surfaceparm nodamage
	//surfaceparm slick

	{
		map "textures/makijumps/marble_stairs.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	{
		map "textures/makijumps/tintx.tga"
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}

}

///// Concrete /////

textures/makijumps/concrete_1
{
	qer_editorimage "textures/makijumps/concrete_1.jpg"
	//surfaceparm slick
	{
		map "textures/makijumps/concrete_1.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/makijumps/concrete_2
{
	qer_editorimage "textures/makijumps/concrete_2.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/makijumps/concrete_2.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/makijumps/concrete_3
{
	qer_editorimage "textures/makijumps/concrete_3.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/makijumps/concrete_3.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/makijumps/concrete_4
{
	qer_editorimage "textures/makijumps/concrete_4.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/makijumps/concrete_4.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/makijumps/concrete_trim
{
	qer_editorimage "textures/makijumps/concrete_trim.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/makijumps/concrete_trim.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

///// Wood /////

textures/makijumps/wood_1
{
	qer_editorimage "textures/makijumps/wood_1.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/makijumps/wood_1.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/makijumps/wood_2
{
	qer_editorimage "textures/makijumps/wood_2.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/makijumps/wood_2.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/makijumps/wood_3
{
	qer_editorimage "textures/makijumps/wood_3.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/makijumps/wood_3.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/makijumps/wood_4
{
	qer_editorimage "textures/makijumps/wood_4"
       surfaceparm nonsolid
	//surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/makijumps/wood_4.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/makijumps/wood_5
{
	qer_editorimage "textures/makijumps/wood_5.jpg"
	//surfaceparm slick
	{
		map "textures/makijumps/wood_5.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/makijumps/wood_5_hl
{
	qer_editorimage "textures/makijumps/wood_5.jpg"
	qer_trans 0.5
	surfaceparm nonsolid
	surfaceparm detail
	{
		map "textures/makijumps/wood_5.jpg"
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/makijumps/wood_5_sl
{
	qer_editorimage "textures/makijumps/wood_5.jpg"
	surfaceparm slick
	{
		map "textures/makijumps/wood_5.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	{
        map textures/makijumps/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
	{
        map textures/makijumps/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/makijumps/wood_5_culled
{
	qer_editorimage "textures/makijumps/wood_5.jpg"
	cull back
	{
		map "textures/makijumps/wood_5.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

///// Metal /////

textures/makijumps/metal
{
	qer_editorimage "textures/makijumps/metal.jpg"
	surfaceparm nodamage
     //surfaceparm nonsolid
	//surfaceparm slick
	{
		map "textures/makijumps/metal.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}



//////////////////////////////////////
//////////////  Floors  //////////////
//////////////////////////////////////

textures/makijumps/floor_dark
{
    q3map_lightImage textures/makijumps/floor_dark.jpg
    qer_editorImage textures/makijumps/floor_dark.jpg
    surfaceparm nodamage
    {
        map textures/makijumps/floor_dark.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/makijumps/floor_1
{
	qer_editorimage "textures/makijumps/floor_1.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/makijumps/floor_1.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/makijumps/til
{
	qer_editorimage "textures/makijumps/til.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/makijumps/til.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}


//////////////////////////////////////
///////////////  Mud  ////////////////
//////////////////////////////////////

textures/makijumps/mud
{
	qer_editorimage "textures/makijumps/mud.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/makijumps/mud.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}


//////////////////////////////////////
//////////////  Misc  ////////////////
//////////////////////////////////////

///// Plants /////

textures/makijumps/plant_vine1
{
	qer_editorimage textures/makijumps/plant_vine1.tga
	qer_alphafunc greater 0.5
	q3map_shadeangle 90
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
   	noPicMip	
	cull none 	
	{
		map textures/makijumps/plant_vine1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}

textures/makijumps/plant_vine2
{
	qer_editorimage textures/makijumps/plant_vine2.tga
	qer_alphafunc greater 0.5
	q3map_shadeangle 90
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
   	noPicMip	
	cull none 	
	{
		map textures/makijumps/plant_vine2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}

textures/makijumps/plant_vine3
{
	qer_editorimage textures/makijumps/plant_vine3.tga
	qer_alphafunc greater 0.5
	q3map_shadeangle 90
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
   	noPicMip	
	cull none 	
	{
		map textures/makijumps/plant_vine3.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}

textures/makijumps/plant_vegeta
{
	qer_editorimage textures/makijumps/plant_vegeta.tga
	qer_alphafunc greater 0.5
	q3map_shadeangle 90
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
   	noPicMip	
	cull none 	
	{
		map textures/makijumps/plant_vegeta.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}

textures/makijumps/plant_grass_1
{
	qer_editorimage "textures/makijumps/plant_grass_1.jpg"
	//surfaceparm slick
	{
		map "textures/makijumps/plant_grass_1.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/makijumps/plant_grass_2
{
	qer_editorimage "textures/makijumps/plant_grass_2.jpg"
	//surfaceparm slick
	{
		map "textures/makijumps/plant_grass_2.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

///// Cristals /////

textures/makijumps/cristal_purple
{
	surfaceparm nolightmap
    surfaceparm nonsolid
	surfaceparm nodamage
    q3map_surfacelight 2000
	cull disable
	{
		map textures/makijumps/cristal_purple.tga
		tcGen environment
		tcMod turb 0 0.01 0 0.01	        
		tcmod scroll .0 .0
		blendfunc GL_ONE GL_ONE
                }
}

///// Flames /////

textures/makijumps/Flame
{
	qer_editorimage textures/makijumps/Flameball.tga
    q3map_surfacelight 2000
    surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	{
		animMap 10 textures/makijumps/Flame1.tga textures/makijumps/Flame2.tga textures/makijumps/Flame3.tga textures/makijumps/Flame4.tga textures/makijumps/Flame5.tga textures/makijumps/Flame6.tga textures/makijumps/Flame7.tga textures/makijumps/Flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
	}	
	{
		animMap 10 textures/makijumps/Flame2.tga textures/makijumps/Flame3.tga textures/makijumps/Flame4.tga textures/makijumps/Flame5.tga textures/makijumps/Flame6.tga textures/makijumps/Flame7.tga textures/makijumps/Flame8.tga textures/makijumps/Flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	
	{
		map textures/makijumps/Flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}
}

///// Lights /////

textures/makijumps/light_lamp256
{
	qer_editorimage textures/makijumps/light_lamp256.jpg
	q3map_surfacelight 3000
     surfaceparm nonsolid
	surfaceparm nodamage
	surfaceparm slick
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/makijumps/light_lamp256.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/makijumps/light_lamp256_blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

///// Logos /////

textures/makijumps/logo_fun
{
	qer_editorimage "textures/makijumps/logo_fun.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/makijumps/logo_fun.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/makijumps/logo_urtj
{
	qer_editorimage "textures/makijumps/logo_urtj.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/makijumps/logo_urtj.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

//////////////////////////////////////
/////////////  Liquids  //////////////
//////////////////////////////////////

///// Water /////

textures/makijumps/water_purple
{
	qer_trans 0.5
	q3map_surfacelight 1000
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm water
    	cull disable
	{
		map "textures/makijumps/water_purple.tga"
	}
}

textures/makijumps/water_02
	{
		qer_editorimage textures/makijumps/water_02a.jpg
		qer_trans .8
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	

		{ 
			map textures/makijumps/water_02a.jpg
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scroll 1.2 0
			alphaGen vertex
		}
	
		{ 
			map textures/makijumps/water_02b.jpg
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scroll 1 0
			alphaGen vertex
		}
		
		{ 
			map textures/makijumps/water_02a.jpg
			blendFunc add
			alphagen wave sin 0.25 0.5 0 1
			rgbgen identity
			tcmod scroll 1.2 0
			alphaGen vertex
		}
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}

}

textures/makijumps/water
{
	qer_editorimage textures/makijumps/water4_sfx.tga
                qer_trans .5
                surfaceparm trans
                surfaceparm nonsolid
                surfaceparm water
                tessSize 256
                cull disable
                deformVertexes wave 256 sin 0.5 1.75 .5 .5

                {
                        map textures/makijumps/water4_sfx.tga
                        blendfunc add
                        rgbgen identity
                        tcmod scale .5 .5
                        tcmod transform 1.5 0 1.5 1 1 2
                        tcmod scroll -.05 .001
                }
                {
                        map textures/makijumps/water4_sfx.tga
                        blendfunc add
                        rgbgen identity
                        tcmod scale .5 .5
                        tcmod transform 0 1.5 1 1.5 2 1
                        tcmod scroll .025 -.001
                }
                {
                        map textures/makijumps/water4_bfx.tga
                        blendfunc filter
                        rgbgen identity
                        tcmod scale .25 .5
                        tcmod scroll .001 .025
                }
                {
                        map $lightmap
                        blendFunc GL_dst_color GL_zero
                        rgbgen identity
                }
}

textures/makijumps/water2_1
{
	q3map_globaltexture
	qer_editorimage textures/makijumps/water2_1.tga
	qer_trans 0.50
	surfaceparm water
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull disable
	q3map_surfacelight 400
	q3map_lightRGB 0 0.632197 1
	q3map_lightSubdivide 512
	q3map_lightimage textures/makijumps/water2_1.tga

	{
		map textures/makijumps/water2_1.tga
		blendFunc GL_DST_COLOR GL_one
		rgbGen identity
		tcMod scroll 0.1 0.2
	}
	{
		map textures/makijumps/water2_1.tga
		blendFunc GL_DST_COLOR GL_one
		rgbGen identity
		tcMod scroll -0.2 0.02
	}
}

///// Lava /////
///// Slime /////

//////////////////////////////////////
/////////////  SkyBoxes  /////////////
//////////////////////////////////////

textures/makijumps/hw_crater
{
	qer_editorimage textures/makijumps/sky_craterlake_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	surfaceparm sky
	q3map_surfacelight 50
	skyparms textures/makijumps/sky_craterlake - -
}
