textures/stupzjump_3/soul
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		map textures/stupzjump_3/soul.tga
		blendfunc add
		rgbGen wave noise 0.7 0.3 0 10 
		tcMod scroll 0 0.125
	}
}

textures/stupzjump_3/crystal
{
	surfaceparm trans
	cull disable
	qer_trans 0.5
	{
		map textures/stupzjump_3/crystal.tga
		blendfunc add
		rgbGen identity
		tcMod turb 0 0.2 0 0.1
		tcGen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/stupzjump_3/largerblock_ow
{
	qer_editorimage textures/stupzjump_3/largerblock_ow.tga
	{
		map textures/stupzjump_3/largerblock_ow.tga
		rgbGen identity
	}
	{
		map textures/stupzjump_3/fire_ow.tga
		blendfunc add
		rgbGen wave noise 0.75 0.25 0 10 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/stupzjump_3/blocks_full
{
	qer_editorimage textures/stupzjump_3/blocks_full.tga
	{
		map textures/stupzjump_3/enviro.tga
		rgbGen identity
		tcGen environment 
	}
	{
		map textures/stupzjump_3/blocks_full.tga
		blendfunc add
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/stupzjump_3/blocks_tile
{
	qer_editorimage textures/stupzjump_3/blocks_tile.tga
	{
		map textures/stupzjump_3/enviro.tga
		rgbGen identity
		tcGen environment 
	}
	{
		map textures/stupzjump_3/blocks_tile.tga
		blendfunc add
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/stupzjump_3/largerblock2
{
	qer_editorimage textures/stupzjump_3/largerblock.tga
//	surfaceparm nolightmap
	portal
	{
		map textures/common/mirror1.tga
		blendfunc gl_one gl_one_minus_src_alpha
		depthWrite
	}
	{
		map textures/stupzjump_3/largerblock.tga
		blendfunc filter
	}
	{
		map textures/stupzjump_3/largerblock.tga
		blendfunc add
		rgbGen const ( 0.53 0.53 0.6 )
	}
}

textures/stupzjump_3/largerblock2_pent
{
	qer_editorimage textures/stupzjump_3/largerblock_pent.tga
//	surfaceparm nolightmap
	portal
	{
		map textures/common/mirror1.tga
		blendfunc gl_one gl_one_minus_src_alpha
		depthWrite
	}
	{
		map textures/stupzjump_3/largerblock_pent.tga
		blendfunc filter
	}
	{
		map textures/stupzjump_3/largerblock_pent.tga
		blendfunc add
		rgbGen const ( 0.53 0.53 0.6 )
	}
}

textures/stupzjump_3/largerblock2_ow
{
	qer_editorimage textures/stupzjump_3/largerblock_ow.tga
//	surfaceparm nolightmap
	portal
	{
		map textures/common/mirror1.tga
		blendfunc gl_one gl_one_minus_src_alpha
		depthWrite
	}
	{
		map textures/stupzjump_3/largerblock_ow.tga
		blendfunc filter
	}
	{
		map textures/stupzjump_3/largerblock_ow.tga
		blendfunc add
		rgbGen const ( 0.53 0.53 0.6 )
	}
	{
		map textures/stupzjump_3/fire_ow.tga
		blendfunc add
		rgbGen wave noise 0.75 0.25 0 10 
	}
}

textures/stupzjump_3/skybox
{
	qer_editorimage textures/stupzjump_3/black_up.tga
	q3map_lightimage textures/stupzjump_3/black_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 2500
	skyParms textures/stupzjump_3/black 128 -
}
textures/stupzjump_3/8008-v7
{
	qer_editorImage "textures/stupzjump_3/8008-v7.jpg"
	surfaceParm noImpact
	surfaceParm noLightmap
	q3map_globalTexture
	q3map_lightSubdivide 256
    q3map_surfaceLight 500
	surfaceParm sky
	skyParms "full" 512 -
	{
		map "textures/stupzjump_3/8008-v7.jpg"
		tcMod scroll 0.05 0.05
		tcMod scale 3 2
	}
	{
		map "textures/stupzjump_3/8008-v7.jpg"
		blendFunc add
		tcMod scroll 0.01 0.01
		tcMod scale 3 3
	}
}
textures/stupzjump_3/14352-v1
{
	qer_trans .5
	q3map_globaltexture
	q3map_surfacelight 250
	q3map_lightSubdivide 128
	q3map_backsplash 16 16
	q3map_bounceScale 0
	q3map_lightRGB .120 .0 .255
	surfaceparm trans
	surfaceparm nonsolid
//      surfaceparm nolightmap
//	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5	
	{ 
		map textures/stupzjump_3/3134.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .05 .001
	}
	{ 
		map textures/stupzjump_3/8849-v7.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale -.5 -.5
		tcmod scroll .025 .025	
	}
}
textures/stupzjump_3/brs1
{
	qer_editorimage textures/stupzjump_3/brs1.tga
	qer_trans 0.7
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm detail
	qer_trans 0.9
	sort 6
	noPicMip
	noMipMaps
	polygonOffset
	{
		map textures/stupzjump_3/brs1.tga
		rgbgen wave sin 0.25 0.29 0.25 0.053
		alphaGen wave sin 0.01 0.0225 0.25 0.12
		blendfunc add
	}
}
textures/stupzjump_3/brs2
{
	qer_editorimage textures/stupzjump_3/brs2.tga
	qer_trans 0.7
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm detail
	qer_trans 0.9
	sort 6
	noPicMip
	noMipMaps
	polygonOffset
	{
		map textures/stupzjump_3/brs2.tga
		rgbgen wave sin 0.25 0.29 0.25 0.053
		alphaGen wave sin 0.01 0.0225 0.25 0.12
		blendfunc add
	}
}
textures/stupzjump_3/beff
{
	qer_editorimage textures/stupzjump_3/leaves_eff.tga
	q3map_cloneshader textures/stupzjump_3/zzbeff_1
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 431 inversesawtooth 0 1 0.2333 0.064
	deformvertexes move -443.397 -332.138 0 sawtooth -0.0848375 1 0.2333 0.064
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/stupzjump_3/leaves_eff.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave sin 5 2.6666 0.2999 0.064
		alphagen wave sin 1 -1 0.2333 0.064
		tcMod rotate -45
	}
}

textures/stupzjump_3/zzbeff_1
{
	qer_editorimage textures/stupzjump_3/leaves_eff.tga
	q3map_cloneshader textures/stupzjump_3/zzbeff_2
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 431 inversesawtooth 0 1 0.299967 0.064
	deformvertexes move 581.057 -584.251 0 sawtooth -0.0497573 1 0.299967 0.064
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/stupzjump_3/leaves_eff.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave sin 5 2.6666 0.366567 0.064
		alphagen wave sin 1 -1 0.299967 0.064
		tcMod rotate -29
	}
}

textures/stupzjump_3/zzbeff_2
{
	qer_editorimage textures/stupzjump_3/leaves_eff.tga
	q3map_cloneshader textures/stupzjump_3/zzbeff_3
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 431 inversesawtooth 0 1 0.366633 0.064
	deformvertexes move -85.7086 65.7118 0 sawtooth -0.407407 1 0.366633 0.064
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/stupzjump_3/leaves_eff.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave sin 5 2.6666 0.433233 0.064
		alphagen wave sin 1 -1 0.366633 0.064
		tcMod rotate -19
	}
}

textures/stupzjump_3/zzbeff_3
{
	qer_editorimage textures/stupzjump_3/leaves_eff.tga
	q3map_cloneshader textures/stupzjump_3/zzbeff_4
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 431 inversesawtooth 0 1 0.4333 0.064
	deformvertexes move -313.156 369.039 0 sawtooth 0.00206612 1 0.4333 0.064
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/stupzjump_3/leaves_eff.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave sin 5 2.6666 0.4999 0.064
		alphagen wave sin 1 -1 0.4333 0.064
		tcMod rotate 24
	}
}

textures/stupzjump_3/zzbeff_4
{
	qer_editorimage textures/stupzjump_3/leaves_eff.tga
	q3map_cloneshader textures/stupzjump_3/zzbeff_5
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 431 inversesawtooth 0 1 0.499967 0.064
	deformvertexes move -272.018 -317.38 0 sawtooth 0.0382775 1 0.499967 0.064
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/stupzjump_3/leaves_eff.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave sin 5 2.6666 0.566567 0.064
		alphagen wave sin 1 -1 0.499967 0.064
		tcMod rotate 2
	}
}

textures/stupzjump_3/zzbeff_5
{
	qer_editorimage textures/stupzjump_3/leaves_eff.tga
	q3map_cloneshader textures/stupzjump_3/zzbeff_6
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 431 inversesawtooth 0 1 0.566633 0.064
	deformvertexes move -781.62 160.856 0 sawtooth -0.0601504 1 0.566633 0.064
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/stupzjump_3/leaves_eff.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave sin 5 2.6666 0.633233 0.064
		alphagen wave sin 1 -1 0.566633 0.064
		tcMod rotate 54
	}
}

textures/stupzjump_3/zzbeff_6
{
	qer_editorimage textures/stupzjump_3/leaves_eff.tga
	q3map_cloneshader textures/stupzjump_3/zzbeff_7
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 431 inversesawtooth 0 1 0.6333 0.064
	deformvertexes move -712.73 19.622 0 sawtooth -0.0168303 1 0.6333 0.064
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/stupzjump_3/leaves_eff.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave sin 5 2.6666 0.6999 0.064
		alphagen wave sin 1 -1 0.6333 0.064
		tcMod rotate -44
	}
}

textures/stupzjump_3/zzbeff_7
{
	qer_editorimage textures/stupzjump_3/leaves_eff.tga
	q3map_cloneshader textures/stupzjump_3/zzbeff_8
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 431 inversesawtooth 0 1 0.699967 0.064
	deformvertexes move -890.626 -267.743 0 sawtooth -0.0387097 1 0.699967 0.064
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/stupzjump_3/leaves_eff.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave sin 5 2.6666 0.766567 0.064
		alphagen wave sin 1 -1 0.699967 0.064
		tcMod rotate 44
	}
}

textures/stupzjump_3/zzbeff_8
{
	qer_editorimage textures/stupzjump_3/leaves_eff.tga
	q3map_cloneshader textures/stupzjump_3/zzbeff_9
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 431 inversesawtooth 0 1 0.766633 0.064
	deformvertexes move 318.775 11.9898 0 sawtooth 0.0031348 1 0.766633 0.064
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/stupzjump_3/leaves_eff.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave sin 5 2.6666 0.833233 0.064
		alphagen wave sin 1 -1 0.766633 0.064
		tcMod rotate -2
	}
}

textures/stupzjump_3/zzbeff_9
{
	qer_editorimage textures/stupzjump_3/leaves_eff.tga
	q3map_cloneshader textures/stupzjump_3/zzbeff_10
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 431 inversesawtooth 0 1 0.8333 0.064
	deformvertexes move 136.843 -581.105 0 sawtooth -0.0536013 1 0.8333 0.064
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/stupzjump_3/leaves_eff.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave sin 5 2.6666 0.8999 0.064
		alphagen wave sin 1 -1 0.8333 0.064
		tcMod rotate 29
	}
}

textures/stupzjump_3/zzbeff_10
{
	qer_editorimage textures/stupzjump_3/leaves_eff.tga
	q3map_cloneshader textures/stupzjump_3/zzbeff_11
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 431 inversesawtooth 0 1 0.899967 0.064
	deformvertexes move -304.324 312.223 0 sawtooth 0.0389908 1 0.899967 0.064
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/stupzjump_3/leaves_eff.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave sin 5 2.6666 0.966567 0.064
		alphagen wave sin 1 -1 0.899967 0.064
		tcMod rotate 10
	}
}

textures/stupzjump_3/zzbeff_11
{
	qer_editorimage textures/stupzjump_3/leaves_eff.tga
	q3map_cloneshader textures/stupzjump_3/zzbeff_12
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 431 inversesawtooth 0 1 0.966633 0.064
	deformvertexes move -164.733 106.204 0 sawtooth 0.117347 1 0.966633 0.064
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/stupzjump_3/leaves_eff.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave sin 5 2.6666 1.03323 0.064
		alphagen wave sin 1 -1 0.966633 0.064
		tcMod rotate 42
	}
}

textures/stupzjump_3/zzbeff_12
{
	qer_editorimage textures/stupzjump_3/leaves_eff.tga
	q3map_cloneshader textures/stupzjump_3/zzbeff_13
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 431 inversesawtooth 0 1 1.0333 0.064
	deformvertexes move 1134.43 -112.571 0 sawtooth -0.00438596 1 1.0333 0.064
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/stupzjump_3/leaves_eff.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave sin 5 2.6666 1.0999 0.064
		alphagen wave sin 1 -1 1.0333 0.064
		tcMod rotate -29
	}
}

textures/stupzjump_3/zzbeff_13
{
	qer_editorimage textures/stupzjump_3/leaves_eff.tga
	q3map_cloneshader textures/stupzjump_3/zzbeff_14
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 431 inversesawtooth 0 1 1.09997 0.064
	deformvertexes move 216.439 -83.5344 0 sawtooth 0.168103 1 1.09997 0.064
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/stupzjump_3/leaves_eff.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave sin 5 2.6666 1.16657 0.064
		alphagen wave sin 1 -1 1.09997 0.064
		tcMod rotate 39
	}
}

textures/stupzjump_3/zzbeff_14
{
	qer_editorimage textures/stupzjump_3/leaves_eff.tga
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 431 inversesawtooth 0 1 1.16663 0.064
	deformvertexes move 231.109 81.323 0 sawtooth -0.122449 1 1.16663 0.064
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/stupzjump_3/leaves_eff.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave sin 5 2.6666 1.23323 0.064
		alphagen wave sin 1 -1 1.16663 0.064
		tcMod rotate -40
	}
}
textures/stupzjump_3/beff_blue
{
	qer_editorimage textures/stupzjump_3/leaves_eff_blue.tga
	q3map_cloneshader textures/stupzjump_3/zzbeff_blue_1
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 431 inversesawtooth 0 1 0.2333 0.064
	deformvertexes move -443.397 -332.138 0 sawtooth -0.0848375 1 0.2333 0.064
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/stupzjump_3/leaves_eff_blue.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave sin 5 2.6666 0.2999 0.064
		alphagen wave sin 1 -1 0.2333 0.064
		tcMod rotate -45
	}
}

textures/stupzjump_3/zzbeff_blue_1
{
	qer_editorimage textures/stupzjump_3/leaves_eff_blue.tga
	q3map_cloneshader textures/stupzjump_3/zzbeff_blue_2
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 431 inversesawtooth 0 1 0.299967 0.064
	deformvertexes move 581.057 -584.251 0 sawtooth -0.0497573 1 0.299967 0.064
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/stupzjump_3/leaves_eff_blue.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave sin 5 2.6666 0.366567 0.064
		alphagen wave sin 1 -1 0.299967 0.064
		tcMod rotate -29
	}
}

textures/stupzjump_3/zzbeff_blue_2
{
	qer_editorimage textures/stupzjump_3/leaves_eff_blue.tga
	q3map_cloneshader textures/stupzjump_3/zzbeff_blue_3
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 431 inversesawtooth 0 1 0.366633 0.064
	deformvertexes move -85.7086 65.7118 0 sawtooth -0.407407 1 0.366633 0.064
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/stupzjump_3/leaves_eff_blue.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave sin 5 2.6666 0.433233 0.064
		alphagen wave sin 1 -1 0.366633 0.064
		tcMod rotate -19
	}
}

textures/stupzjump_3/zzbeff_blue_3
{
	qer_editorimage textures/stupzjump_3/leaves_eff_blue.tga
	q3map_cloneshader textures/stupzjump_3/zzbeff_blue_4
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 431 inversesawtooth 0 1 0.4333 0.064
	deformvertexes move -313.156 369.039 0 sawtooth 0.00206612 1 0.4333 0.064
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/stupzjump_3/leaves_eff_blue.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave sin 5 2.6666 0.4999 0.064
		alphagen wave sin 1 -1 0.4333 0.064
		tcMod rotate 24
	}
}

textures/stupzjump_3/zzbeff_blue_4
{
	qer_editorimage textures/stupzjump_3/leaves_eff_blue.tga
	q3map_cloneshader textures/stupzjump_3/zzbeff_blue_5
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 431 inversesawtooth 0 1 0.499967 0.064
	deformvertexes move -272.018 -317.38 0 sawtooth 0.0382775 1 0.499967 0.064
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/stupzjump_3/leaves_eff_blue.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave sin 5 2.6666 0.566567 0.064
		alphagen wave sin 1 -1 0.499967 0.064
		tcMod rotate 2
	}
}

textures/stupzjump_3/zzbeff_blue_5
{
	qer_editorimage textures/stupzjump_3/leaves_eff_blue.tga
	q3map_cloneshader textures/stupzjump_3/zzbeff_blue_6
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 431 inversesawtooth 0 1 0.566633 0.064
	deformvertexes move -781.62 160.856 0 sawtooth -0.0601504 1 0.566633 0.064
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/stupzjump_3/leaves_eff_blue.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave sin 5 2.6666 0.633233 0.064
		alphagen wave sin 1 -1 0.566633 0.064
		tcMod rotate 54
	}
}

textures/stupzjump_3/zzbeff_blue_6
{
	qer_editorimage textures/stupzjump_3/leaves_eff_blue.tga
	q3map_cloneshader textures/stupzjump_3/zzbeff_blue_7
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 431 inversesawtooth 0 1 0.6333 0.064
	deformvertexes move -712.73 19.622 0 sawtooth -0.0168303 1 0.6333 0.064
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/stupzjump_3/leaves_eff_blue.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave sin 5 2.6666 0.6999 0.064
		alphagen wave sin 1 -1 0.6333 0.064
		tcMod rotate -44
	}
}

textures/stupzjump_3/zzbeff_blue_7
{
	qer_editorimage textures/stupzjump_3/leaves_eff_blue.tga
	q3map_cloneshader textures/stupzjump_3/zzbeff_blue_8
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 431 inversesawtooth 0 1 0.699967 0.064
	deformvertexes move -890.626 -267.743 0 sawtooth -0.0387097 1 0.699967 0.064
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/stupzjump_3/leaves_eff_blue.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave sin 5 2.6666 0.766567 0.064
		alphagen wave sin 1 -1 0.699967 0.064
		tcMod rotate 44
	}
}

textures/stupzjump_3/zzbeff_blue_8
{
	qer_editorimage textures/stupzjump_3/leaves_eff_blue.tga
	q3map_cloneshader textures/stupzjump_3/zzbeff_blue_9
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 431 inversesawtooth 0 1 0.766633 0.064
	deformvertexes move 318.775 11.9898 0 sawtooth 0.0031348 1 0.766633 0.064
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/stupzjump_3/leaves_eff_blue.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave sin 5 2.6666 0.833233 0.064
		alphagen wave sin 1 -1 0.766633 0.064
		tcMod rotate -2
	}
}

textures/stupzjump_3/zzbeff_blue_9
{
	qer_editorimage textures/stupzjump_3/leaves_eff_blue.tga
	q3map_cloneshader textures/stupzjump_3/zzbeff_blue_10
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 431 inversesawtooth 0 1 0.8333 0.064
	deformvertexes move 136.843 -581.105 0 sawtooth -0.0536013 1 0.8333 0.064
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/stupzjump_3/leaves_eff_blue.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave sin 5 2.6666 0.8999 0.064
		alphagen wave sin 1 -1 0.8333 0.064
		tcMod rotate 29
	}
}

textures/stupzjump_3/zzbeff_blue_10
{
	qer_editorimage textures/stupzjump_3/leaves_eff_blue.tga
	q3map_cloneshader textures/stupzjump_3/zzbeff_blue_11
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 431 inversesawtooth 0 1 0.899967 0.064
	deformvertexes move -304.324 312.223 0 sawtooth 0.0389908 1 0.899967 0.064
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/stupzjump_3/leaves_eff_blue.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave sin 5 2.6666 0.966567 0.064
		alphagen wave sin 1 -1 0.899967 0.064
		tcMod rotate 10
	}
}

textures/stupzjump_3/zzbeff_blue_11
{
	qer_editorimage textures/stupzjump_3/leaves_eff_blue.tga
	q3map_cloneshader textures/stupzjump_3/zzbeff_blue_12
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 431 inversesawtooth 0 1 0.966633 0.064
	deformvertexes move -164.733 106.204 0 sawtooth 0.117347 1 0.966633 0.064
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/stupzjump_3/leaves_eff_blue.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave sin 5 2.6666 1.03323 0.064
		alphagen wave sin 1 -1 0.966633 0.064
		tcMod rotate 42
	}
}

textures/stupzjump_3/zzbeff_blue_12
{
	qer_editorimage textures/stupzjump_3/leaves_eff_blue.tga
	q3map_cloneshader textures/stupzjump_3/zzbeff_blue_13
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 431 inversesawtooth 0 1 1.0333 0.064
	deformvertexes move 1134.43 -112.571 0 sawtooth -0.00438596 1 1.0333 0.064
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/stupzjump_3/leaves_eff_blue.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave sin 5 2.6666 1.0999 0.064
		alphagen wave sin 1 -1 1.0333 0.064
		tcMod rotate -29
	}
}

textures/stupzjump_3/zzbeff_blue_13
{
	qer_editorimage textures/stupzjump_3/leaves_eff_blue.tga
	q3map_cloneshader textures/stupzjump_3/zzbeff_blue_14
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 431 inversesawtooth 0 1 1.09997 0.064
	deformvertexes move 216.439 -83.5344 0 sawtooth 0.168103 1 1.09997 0.064
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/stupzjump_3/leaves_eff_blue.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave sin 5 2.6666 1.16657 0.064
		alphagen wave sin 1 -1 1.09997 0.064
		tcMod rotate 39
	}
}

textures/stupzjump_3/zzbeff_blue_14
{
	qer_editorimage textures/stupzjump_3/leaves_eff_blue.tga
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 431 inversesawtooth 0 1 1.16663 0.064
	deformvertexes move 231.109 81.323 0 sawtooth -0.122449 1 1.16663 0.064
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/stupzjump_3/leaves_eff_blue.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave sin 5 2.6666 1.23323 0.064
		alphagen wave sin 1 -1 1.16663 0.064
		tcMod rotate -40
	}
}


